<!-- hide JavaScript from non-JavaScript browsers

	//  Copysafe Web - Version 4.8.0.1
	//  Copyright (c) 1998-2020 ArtistScope. All Rights Reserved.
	//  www.artistscope.com
	//
	// The Copysafe Web plugin is shipped with the ArtisBrowser for all Windows since XP.

// Debugging outputs the generated html into a textbox instead of rendering

	var m_bpDebugging = false;
//	var m_bpDebugging = true;

// REDIRECTS

var m_szLocation = document.location.href.replace(/&/g,'%26');	

var m_szDownloadNo = "/plugins/download_no.html";
var m_szDownload = "/plugins/download.html?ref=" + m_szLocation;

//document.write(m_szLocation);
	
// DEFAULT SETTINGS

var m_szImageFolder = "/plugins/";	//  "/plugins/" path from root with / on both ends

var m_bpKeySafe = true;
var m_bpCaptureSafe = true;
var m_bpMenuSafe = true;
var m_bpRemoteSafe = false;		// no longer suppoerted - can cause crash
var m_bpWindowsOnly = true;	

var m_bpArtisBrowser = true;
var m_bpChrome = false;			// use for debug only
var m_bpFirefox = false;			// use for debug only

// PREFERENCES FOR THIS PAGE

var m_szDefaultStyle = "ImageLink";
var m_szDefaultTextColor = "FFFFFF";
var m_szDefaultBorderColor = "000000";
var m_szDefaultBorder = "1";
var m_szDefaultLoading = "Image loading...";
var m_szDefaultLabel = "ArtistScope";
var m_szDefaultLink = "";
var m_szDefaultTargetFrame = "_top";
var m_szDefaultMessage = "Add your message here";
var m_szDefaultWatermark = "watermark.gif";
var m_szDefaultWatermarkAlignment = "center";
var m_bpDefaultWatermarkLinux = "true";
var m_bpDefaultWatermarkMacintosh = "true";
var m_bpDefaultWatermarkWindows = "false";
var m_szDefaultFrameDelay = "2000";

//====================================================
//   Current version == 4.8.0.1
//====================================================

var m_nV1=4;
var m_nV2=8;
var m_nV3=0;
var m_nV4=1;

var m_szAgent = navigator.userAgent.toLowerCase();
var m_szPlatform = navigator.platform.toLowerCase();
var m_bMozilla = false;
var m_szPlugin = "";

var m_bWindows = (m_szAgent.indexOf("windows")!=-1);	
var m_bMacintosh = ((m_szPlatform.indexOf("mac")!=-1) || (m_szAgent.indexOf("mac")!=-1));
var m_bLinux = ((m_szPlatform.indexOf("x11")!=-1) || (m_szPlatform.indexOf("linux i686")!=-1));
var m_bPhone = ((m_szPlatform.indexOf("android")!=-1) || (m_szPlatform.indexOf("iphone")!=-1) || (m_szPlatform.indexOf("ipad")!=-1) || (m_szPlatform.indexOf("mobile")!=-1) || (m_szPlatform.indexOf("tablet")!=-1));

var m_bArtisBrowser = (((m_szAgent.indexOf("artisbrowser/2")!=-1) || (m_szAgent.indexOf("artisreader/2")!=-1)) && (m_bpArtisBrowser));
var m_bChrome = ((m_szAgent.indexOf("chrome")!=-1) && !!(window.chrome && chrome.webstore && chrome.webstore.install) && (m_bpChrome));
var m_bFirefox = ((m_szAgent.indexOf("firefox/")!=-1) && (m_bpFirefox));


var m_bMozilla = ((m_bArtisBrowser) || (m_bChrome) || (m_bFirefox)); 

if ((m_bMacintosh) || (m_bLinux) || (m_bPhone) || (window.screen.width < 750)) {
	m_bWindows = false;
}

if (m_bpDebugging == true)
	{
	document.write("UserAgent= " + m_szAgent + "<br>");
	document.write("Platform= " + m_szPlatform + "<br>");
	document.write("Referer= " + m_szLocation + "<br>");
    }


	
if (m_bWindows) { 
	if (m_bMozilla) {
		m_szPlugin = "DLL";
	}
	else {
	window.location=unescape(m_szDownload);
	document.MM_returnValue=false;
	}
}

if (!m_bWindows) {
//	document.write("NO ARTISBROWSER - REDIRECT to NO SUPPORT MESSAGE");
	window.location=unescape(m_szDownloadNo);
	document.MM_returnValue=false;

}


function bool2String(bValue)
{
    if (bValue == true) {return "1";}
    else {return "0";}
}

function paramValue(szValue, szDefault)
{
    if (szValue.toString().length > 0) {return szValue;}
    else {return szDefault;}
}

function expandNumber(nValue, nLength)
{
    var szValue = nValue.toString();
    while(szValue.length < nLength)
        szValue = "0" + szValue;
    return szValue;
}


// The copysafe-insert functions

function insertCopysafeImageLite(szImageName)
{
    // Extract the image width and height from the image name (example name: zulu580_0580_0386_C.class)

    var nIndex = szImageName.lastIndexOf('_C.');
    if (nIndex == -1)
    {
        // Strange filename that doesn't conform to the copysafe standard. Can't render it.
        return;
    }

    var szWidth = szImageName.substring(nIndex - 9, nIndex - 5);
    var szHeight = szImageName.substring(nIndex - 4, nIndex);

    var nWidth = szWidth * 1;
    var nHeight = szHeight * 1;


    // Expand width and height to allow for border

    var nBorder = m_szDefaultBorder * 1;
    nWidth = nWidth + (nBorder * 2);
    nHeight = nHeight + (nBorder * 2);

    insertCopysafeImage(nWidth, nHeight, "", "", "", nBorder, "", "", "", "", "", m_szDefaultFrameDelay, [szImageName]);
}

function insertCopysafeImage(nWidth, nHeight,
    szImageStyle,
    szTextColor,
    szBorderColor,
    nBorder,
    szLoading,
    szLabel,
    szLink,
    szTargetFrame,
    szMessage,
    nFrameDelay,
    arFrames)
{
    insertCopysafeWatermarkedImage(nWidth, nHeight,
        szImageStyle,
        szTextColor,
        szBorderColor,
        nBorder,
        szLoading,
        szLabel,
        szLink,
        szTargetFrame,
        szMessage,
        m_szDefaultWatermark,
        m_szDefaultWatermarkAlignment,
        m_bpDefaultWatermarkLinux,
        m_bpDefaultWatermarkMacintosh,
        m_bpDefaultWatermarkWindows,
        nFrameDelay,
        arFrames);
}

function insertCopysafeWatermarkedImage(nWidth, nHeight,
    szImageStyle,
    szTextColor,
    szBorderColor,
    nBorder,
    szLoading,
    szLabel,
    szLink,
    szTargetFrame,
    szMessage,
    szWatermark,
    szWatermarkAlignment,
    szWatermarkLinux,
    szWatermarkMacintosh,
    szWatermarkWindows,
    nFrameDelay,
    arFrames)
{
    if (m_bpDebugging == true)
        { 
        document.writeln("<textarea rows='27' cols='80'>"); 
        }       
    if (m_szPlugin == "DLL")
    {
    var szObjectInsert = "";
    
    if (m_szPlugin == "DLL") {     
		szObjectInsert = "type='application/x-artistscope-firefox5' codebase='/plugins/download.html' ";
        document.writeln("<ob" + "ject " + szObjectInsert + " width='" + nWidth + "' height='" + nHeight + "'>");
    }
	else if (m_szPlugin == "APPLET")
	{		
		szObjectInsert = "codebase='" + m_szImageFolder + "' code='com.artistscope.ArtistScopeViewer.class' archive='ArtistScopeViewer501.jar' id='Artistscope'";
		document.writeln("<app" + "let " + szObjectInsert + " width='" + nWidth + "' height='" + nHeight + "'>");
		m_szImageFolder = "";
	}
    	if (m_szPlugin != "APPLET")
    	{ 
		document.writeln("<param name='KeySafe' value='" + bool2String(m_bpKeySafe) + "' />");
		document.writeln("<param name='CaptureSafe' value='" + bool2String(m_bpCaptureSafe) + "' />");
		document.writeln("<param name='MenuSafe' value='" + bool2String(m_bpMenuSafe) + "' />");
		document.writeln("<param name='RemoteSafe' value='0' />");
    	}
		
		document.writeln("<param name='Style' value='" + paramValue(szImageStyle, m_szDefaultStyle) + "' />");
		document.writeln("<param name='TextColor' value='" + paramValue(szTextColor, m_szDefaultTextColor) + "' />");
		document.writeln("<param name='BorderColor' value='" + paramValue(szBorderColor, m_szDefaultBorderColor) + "' />");
		document.writeln("<param name='Border' value='" + paramValue(nBorder, m_szDefaultBorder) + "' />");
		document.writeln("<param name='Loading' value='" + paramValue(szLoading, m_szDefaultLoading) + "' />");
		document.writeln("<param name='Label' value='" + paramValue(szLabel, m_szDefaultLabel) + "' />");
		document.writeln("<param name='Link' value='" + paramValue(szLink, m_szDefaultLink) + "' />");
		document.writeln("<param name='TargetFrame' value='" + paramValue(szTargetFrame, m_szDefaultTargetFrame) + "' />");
		document.writeln("<param name='Message' value='" + paramValue(szMessage, m_szDefaultMessage) + "' />");   
		document.writeln("<param name='FrameDelay' value='2000' />");
		document.writeln("<param name='FrameCount' value='" + arFrames.length + "' />");
		for(var x = 0; x < arFrames.length; x++)
		{
			var szFrameNumber = expandNumber(x, 3);
			document.writeln("<param name='Frame" + szFrameNumber + "' value='" + m_szImageFolder + arFrames[x] + "' />");
		}
    if (m_szPlugin == "APPLET")
    	{
	document.writeln("<param name='permissions' value='sandbox' />");
    	document.writeln("</app" + "let />");
    	}
    	else 
    	{ 
    	document.writeln("</ob" + "ject />"); 
    	}  
	}
    if (m_bpDebugging == true)
        { document.writeln("</textarea />"); }
}
// -->
